KYC Tenure

KYC Tenure

KYC tenure verification APIs

Check phone number tenure against a threshold

Checks whether the tenure of a phone number is longer than a provided threshold datetime.

post
https://api.pxg.konera.com/camara/kyc-tenure/v0.1/verify

Headers

x-correlation-idstring

Correlation ID for request tracing

Body

application/json

TenureRequest

phoneNumberstringrequired

MSISDN in E.164 format

Example:+919036499174

thresholdDateTimestring(date-time)required

The API checks whether the phone number tenure is longer than this datetime.

Example:2024-01-01T00:00:00Z

Response

application/json

Tenure check result

TenureResponse

tenureLongerThanThresholdbooleanrequired

Indicates whether the number tenure exceeds the threshold

Example:true

tenureStartDateTimestring | null(date-time)

Optional earliest known activation time

post/kyc-tenure/v0.1/verify

Body

{ "phoneNumber": "+12065550123", "thresholdDateTime": "2024-01-01T00:00:00Z" }
 
application/json

TenureRequest

object
phoneNumberstringrequired

MSISDN in E.164 format

Example:+919036499174

thresholdDateTimestring(date-time)required

The API checks whether the phone number tenure is longer than this datetime.

Example:2024-01-01T00:00:00Z

Example

TenureResponse

object
tenureLongerThanThresholdbooleanrequired

Indicates whether the number tenure exceeds the threshold

Example:true

tenureStartDateTimestring(date-time)

Optional earliest known activation time

Example

Error

object
statusintegerrequired

Example:400

codestringrequired

Example:INVALID_ARGUMENT

messagestringrequired

Example:Invalid request

Example